<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gyee.frame.mapper.auto.Windturbineinfoday3Mapper">
<!--  <cache type="org.mybatis.caches.ehcache.EhcacheCache">-->
<!--    <property name="timeToIdleSeconds" value="60"></property>&lt;!&ndash;&lt;!&ndash;当缓存闲置60秒后销毁&ndash;&gt;&ndash;&gt;-->
<!--    <property name="timeToLiveSeconds" value="160"></property>&lt;!&ndash;&lt;!&ndash;缓存存在160秒后销毁&ndash;&gt;&ndash;&gt;-->
<!--    <property name="maxEntriesLocalHeap" value="1000"></property>-->
<!--    <property name="maxEntriesLocalDisk" value="10000000"></property>-->
<!--    <property name="memoryStoreEvictionPolicy" value="LRU"></property>-->
<!--  </cache>-->
   <!--<cache type="com.gyee.frame.common.cache.MybatisRedisCache"/>-->
  <resultMap id="BaseResultMap" type="com.gyee.frame.model.auto.Windturbineinfoday3">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="id" jdbcType="INTEGER" property="id" />
    <result column="windPowerStationId" jdbcType="VARCHAR" property="windpowerstationid" />
    <result column="projectId" jdbcType="VARCHAR" property="projectid" />
    <result column="lineId" jdbcType="VARCHAR" property="lineid" />
    <result column="windTurbineId" jdbcType="VARCHAR" property="windturbineid" />
    <result column="dayDL1" jdbcType="DECIMAL" property="daydl1" />
    <result column="dayDL2" jdbcType="DECIMAL" property="daydl2" />
    <result column="dayPower" jdbcType="DECIMAL" property="daypower" />
    <result column="daySpeed" jdbcType="DECIMAL" property="dayspeed" />
    <result column="dayMaxPower" jdbcType="DECIMAL" property="daymaxpower" />
    <result column="dayMinPower" jdbcType="DECIMAL" property="dayminpower" />
    <result column="dayMaxSpeed" jdbcType="DECIMAL" property="daymaxspeed" />
    <result column="dayMinSpeed" jdbcType="DECIMAL" property="dayminspeed" />
    <result column="dayNHGL" jdbcType="DECIMAL" property="daynhgl" />
    <result column="dayNHDL" jdbcType="DECIMAL" property="daynhdl" />
    <result column="dayNHGZSSDL" jdbcType="DECIMAL" property="daynhgzssdl" />
    <result column="dayNHWHSSDL" jdbcType="DECIMAL" property="daynhwhssdl" />
    <result column="dayNHXDSSDL" jdbcType="DECIMAL" property="daynhxdssdl" />
    <result column="dayNHQFDL" jdbcType="DECIMAL" property="daynhqfdl" />
    <result column="dayNHCFDL" jdbcType="DECIMAL" property="daynhcfdl" />
    <result column="dayNHPCL" jdbcType="DECIMAL" property="daynhpcl" />
    <result column="dayNHGL2" jdbcType="DECIMAL" property="daynhgl2" />
    <result column="dayNHDL2" jdbcType="DECIMAL" property="daynhdl2" />
    <result column="dayNHGZSSDL2" jdbcType="DECIMAL" property="daynhgzssdl2" />
    <result column="dayNHWHSSDL2" jdbcType="DECIMAL" property="daynhwhssdl2" />
    <result column="dayNHXDSSDL2" jdbcType="DECIMAL" property="daynhxdssdl2" />
    <result column="dayNHQFDL2" jdbcType="DECIMAL" property="daynhqfdl2" />
    <result column="dayNHCFDL2" jdbcType="DECIMAL" property="daynhcfdl2" />
    <result column="dayNHPCL2" jdbcType="DECIMAL" property="daynhpcl2" />
    <result column="dayBZGL" jdbcType="DECIMAL" property="daybzgl" />
    <result column="dayBZDL" jdbcType="DECIMAL" property="daybzdl" />
    <result column="dayBZGZSSDL" jdbcType="DECIMAL" property="daybzgzssdl" />
    <result column="dayBZWHSSDL" jdbcType="DECIMAL" property="daybzwhssdl" />
    <result column="dayBZXDSSDL" jdbcType="DECIMAL" property="daybzxdssdl" />
    <result column="dayBZQFDL" jdbcType="DECIMAL" property="daybzqfdl" />
    <result column="dayBZCFDL" jdbcType="DECIMAL" property="daybzcfdl" />
    <result column="dayBZPCL" jdbcType="DECIMAL" property="daybzpcl" />
    <result column="dayLLGL" jdbcType="DECIMAL" property="dayllgl" />
    <result column="dayLLDL" jdbcType="DECIMAL" property="daylldl" />
    <result column="dayLLGZSSDL" jdbcType="DECIMAL" property="dayllgzssdl" />
    <result column="dayLLWHSSDL" jdbcType="DECIMAL" property="dayllwhssdl" />
    <result column="dayLLXDSSDL" jdbcType="DECIMAL" property="dayllxdssdl" />
    <result column="dayLLQFDL" jdbcType="DECIMAL" property="dayllqfdl" />
    <result column="dayLLCFDL" jdbcType="DECIMAL" property="dayllcfdl" />
    <result column="dayLLPCL" jdbcType="DECIMAL" property="dayllpcl" />
    <result column="recordDate" jdbcType="TIMESTAMP" property="recorddate" />
  </resultMap>
  <sql id="Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Update_By_Example_Where_Clause">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <where>
      <foreach collection="example.oredCriteria" item="criteria" separator="or">
        <if test="criteria.valid">
          <trim prefix="(" prefixOverrides="and" suffix=")">
            <foreach collection="criteria.criteria" item="criterion">
              <choose>
                <when test="criterion.noValue">
                  and ${criterion.condition}
                </when>
                <when test="criterion.singleValue">
                  and ${criterion.condition} #{criterion.value}
                </when>
                <when test="criterion.betweenValue">
                  and ${criterion.condition} #{criterion.value} and #{criterion.secondValue}
                </when>
                <when test="criterion.listValue">
                  and ${criterion.condition}
                  <foreach close=")" collection="criterion.value" item="listItem" open="(" separator=",">
                    #{listItem}
                  </foreach>
                </when>
              </choose>
            </foreach>
          </trim>
        </if>
      </foreach>
    </where>
  </sql>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    id, windPowerStationId, projectId, lineId, windTurbineId, dayDL1, dayDL2, dayPower, 
    daySpeed, dayMaxPower, dayMinPower, dayMaxSpeed, dayMinSpeed, dayNHGL, dayNHDL, dayNHGZSSDL, 
    dayNHWHSSDL, dayNHXDSSDL, dayNHQFDL, dayNHCFDL, dayNHPCL, dayNHGL2, dayNHDL2, dayNHGZSSDL2, 
    dayNHWHSSDL2, dayNHXDSSDL2, dayNHQFDL2, dayNHCFDL2, dayNHPCL2, dayBZGL, dayBZDL, 
    dayBZGZSSDL, dayBZWHSSDL, dayBZXDSSDL, dayBZQFDL, dayBZCFDL, dayBZPCL, dayLLGL, dayLLDL, 
    dayLLGZSSDL, dayLLWHSSDL, dayLLXDSSDL, dayLLQFDL, dayLLCFDL, dayLLPCL, recordDate
  </sql>
  <select id="selectByExample" parameterType="com.gyee.frame.model.auto.Windturbineinfoday3Example" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <if test="distinct">
      distinct
    </if>
    <include refid="Base_Column_List" />
    from windturbineinfoday3
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
    <if test="orderByClause != null">
      order by ${orderByClause}
    </if>
  </select>
  <select id="selectByPrimaryKey" parameterType="java.lang.Integer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from windturbineinfoday3
    where id = #{id,jdbcType=INTEGER}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windturbineinfoday3
    where id = #{id,jdbcType=INTEGER}
  </delete>
  <delete id="deleteByExample" parameterType="com.gyee.frame.model.auto.Windturbineinfoday3Example">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from windturbineinfoday3
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </delete>
  <insert id="insert" parameterType="com.gyee.frame.model.auto.Windturbineinfoday3">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windturbineinfoday3 (id, windPowerStationId, projectId, 
      lineId, windTurbineId, dayDL1, 
      dayDL2, dayPower, daySpeed, 
      dayMaxPower, dayMinPower, dayMaxSpeed, 
      dayMinSpeed, dayNHGL, dayNHDL, 
      dayNHGZSSDL, dayNHWHSSDL, dayNHXDSSDL, 
      dayNHQFDL, dayNHCFDL, dayNHPCL, 
      dayNHGL2, dayNHDL2, dayNHGZSSDL2, 
      dayNHWHSSDL2, dayNHXDSSDL2, dayNHQFDL2, 
      dayNHCFDL2, dayNHPCL2, dayBZGL, 
      dayBZDL, dayBZGZSSDL, dayBZWHSSDL, 
      dayBZXDSSDL, dayBZQFDL, dayBZCFDL, 
      dayBZPCL, dayLLGL, dayLLDL, 
      dayLLGZSSDL, dayLLWHSSDL, dayLLXDSSDL, 
      dayLLQFDL, dayLLCFDL, dayLLPCL, 
      recordDate)
    values (#{id,jdbcType=INTEGER}, #{windpowerstationid,jdbcType=VARCHAR}, #{projectid,jdbcType=VARCHAR}, 
      #{lineid,jdbcType=VARCHAR}, #{windturbineid,jdbcType=VARCHAR}, #{daydl1,jdbcType=DECIMAL}, 
      #{daydl2,jdbcType=DECIMAL}, #{daypower,jdbcType=DECIMAL}, #{dayspeed,jdbcType=DECIMAL}, 
      #{daymaxpower,jdbcType=DECIMAL}, #{dayminpower,jdbcType=DECIMAL}, #{daymaxspeed,jdbcType=DECIMAL}, 
      #{dayminspeed,jdbcType=DECIMAL}, #{daynhgl,jdbcType=DECIMAL}, #{daynhdl,jdbcType=DECIMAL}, 
      #{daynhgzssdl,jdbcType=DECIMAL}, #{daynhwhssdl,jdbcType=DECIMAL}, #{daynhxdssdl,jdbcType=DECIMAL}, 
      #{daynhqfdl,jdbcType=DECIMAL}, #{daynhcfdl,jdbcType=DECIMAL}, #{daynhpcl,jdbcType=DECIMAL}, 
      #{daynhgl2,jdbcType=DECIMAL}, #{daynhdl2,jdbcType=DECIMAL}, #{daynhgzssdl2,jdbcType=DECIMAL}, 
      #{daynhwhssdl2,jdbcType=DECIMAL}, #{daynhxdssdl2,jdbcType=DECIMAL}, #{daynhqfdl2,jdbcType=DECIMAL}, 
      #{daynhcfdl2,jdbcType=DECIMAL}, #{daynhpcl2,jdbcType=DECIMAL}, #{daybzgl,jdbcType=DECIMAL}, 
      #{daybzdl,jdbcType=DECIMAL}, #{daybzgzssdl,jdbcType=DECIMAL}, #{daybzwhssdl,jdbcType=DECIMAL}, 
      #{daybzxdssdl,jdbcType=DECIMAL}, #{daybzqfdl,jdbcType=DECIMAL}, #{daybzcfdl,jdbcType=DECIMAL}, 
      #{daybzpcl,jdbcType=DECIMAL}, #{dayllgl,jdbcType=DECIMAL}, #{daylldl,jdbcType=DECIMAL}, 
      #{dayllgzssdl,jdbcType=DECIMAL}, #{dayllwhssdl,jdbcType=DECIMAL}, #{dayllxdssdl,jdbcType=DECIMAL}, 
      #{dayllqfdl,jdbcType=DECIMAL}, #{dayllcfdl,jdbcType=DECIMAL}, #{dayllpcl,jdbcType=DECIMAL}, 
      #{recorddate,jdbcType=TIMESTAMP})
  </insert>
  <insert id="insertSelective" parameterType="com.gyee.frame.model.auto.Windturbineinfoday3">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into windturbineinfoday3
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="id != null">
        id,
      </if>
      <if test="windpowerstationid != null">
        windPowerStationId,
      </if>
      <if test="projectid != null">
        projectId,
      </if>
      <if test="lineid != null">
        lineId,
      </if>
      <if test="windturbineid != null">
        windTurbineId,
      </if>
      <if test="daydl1 != null">
        dayDL1,
      </if>
      <if test="daydl2 != null">
        dayDL2,
      </if>
      <if test="daypower != null">
        dayPower,
      </if>
      <if test="dayspeed != null">
        daySpeed,
      </if>
      <if test="daymaxpower != null">
        dayMaxPower,
      </if>
      <if test="dayminpower != null">
        dayMinPower,
      </if>
      <if test="daymaxspeed != null">
        dayMaxSpeed,
      </if>
      <if test="dayminspeed != null">
        dayMinSpeed,
      </if>
      <if test="daynhgl != null">
        dayNHGL,
      </if>
      <if test="daynhdl != null">
        dayNHDL,
      </if>
      <if test="daynhgzssdl != null">
        dayNHGZSSDL,
      </if>
      <if test="daynhwhssdl != null">
        dayNHWHSSDL,
      </if>
      <if test="daynhxdssdl != null">
        dayNHXDSSDL,
      </if>
      <if test="daynhqfdl != null">
        dayNHQFDL,
      </if>
      <if test="daynhcfdl != null">
        dayNHCFDL,
      </if>
      <if test="daynhpcl != null">
        dayNHPCL,
      </if>
      <if test="daynhgl2 != null">
        dayNHGL2,
      </if>
      <if test="daynhdl2 != null">
        dayNHDL2,
      </if>
      <if test="daynhgzssdl2 != null">
        dayNHGZSSDL2,
      </if>
      <if test="daynhwhssdl2 != null">
        dayNHWHSSDL2,
      </if>
      <if test="daynhxdssdl2 != null">
        dayNHXDSSDL2,
      </if>
      <if test="daynhqfdl2 != null">
        dayNHQFDL2,
      </if>
      <if test="daynhcfdl2 != null">
        dayNHCFDL2,
      </if>
      <if test="daynhpcl2 != null">
        dayNHPCL2,
      </if>
      <if test="daybzgl != null">
        dayBZGL,
      </if>
      <if test="daybzdl != null">
        dayBZDL,
      </if>
      <if test="daybzgzssdl != null">
        dayBZGZSSDL,
      </if>
      <if test="daybzwhssdl != null">
        dayBZWHSSDL,
      </if>
      <if test="daybzxdssdl != null">
        dayBZXDSSDL,
      </if>
      <if test="daybzqfdl != null">
        dayBZQFDL,
      </if>
      <if test="daybzcfdl != null">
        dayBZCFDL,
      </if>
      <if test="daybzpcl != null">
        dayBZPCL,
      </if>
      <if test="dayllgl != null">
        dayLLGL,
      </if>
      <if test="daylldl != null">
        dayLLDL,
      </if>
      <if test="dayllgzssdl != null">
        dayLLGZSSDL,
      </if>
      <if test="dayllwhssdl != null">
        dayLLWHSSDL,
      </if>
      <if test="dayllxdssdl != null">
        dayLLXDSSDL,
      </if>
      <if test="dayllqfdl != null">
        dayLLQFDL,
      </if>
      <if test="dayllcfdl != null">
        dayLLCFDL,
      </if>
      <if test="dayllpcl != null">
        dayLLPCL,
      </if>
      <if test="recorddate != null">
        recordDate,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="id != null">
        #{id,jdbcType=INTEGER},
      </if>
      <if test="windpowerstationid != null">
        #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        #{lineid,jdbcType=VARCHAR},
      </if>
      <if test="windturbineid != null">
        #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="daydl1 != null">
        #{daydl1,jdbcType=DECIMAL},
      </if>
      <if test="daydl2 != null">
        #{daydl2,jdbcType=DECIMAL},
      </if>
      <if test="daypower != null">
        #{daypower,jdbcType=DECIMAL},
      </if>
      <if test="dayspeed != null">
        #{dayspeed,jdbcType=DECIMAL},
      </if>
      <if test="daymaxpower != null">
        #{daymaxpower,jdbcType=DECIMAL},
      </if>
      <if test="dayminpower != null">
        #{dayminpower,jdbcType=DECIMAL},
      </if>
      <if test="daymaxspeed != null">
        #{daymaxspeed,jdbcType=DECIMAL},
      </if>
      <if test="dayminspeed != null">
        #{dayminspeed,jdbcType=DECIMAL},
      </if>
      <if test="daynhgl != null">
        #{daynhgl,jdbcType=DECIMAL},
      </if>
      <if test="daynhdl != null">
        #{daynhdl,jdbcType=DECIMAL},
      </if>
      <if test="daynhgzssdl != null">
        #{daynhgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="daynhwhssdl != null">
        #{daynhwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="daynhxdssdl != null">
        #{daynhxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="daynhqfdl != null">
        #{daynhqfdl,jdbcType=DECIMAL},
      </if>
      <if test="daynhcfdl != null">
        #{daynhcfdl,jdbcType=DECIMAL},
      </if>
      <if test="daynhpcl != null">
        #{daynhpcl,jdbcType=DECIMAL},
      </if>
      <if test="daynhgl2 != null">
        #{daynhgl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhdl2 != null">
        #{daynhdl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhgzssdl2 != null">
        #{daynhgzssdl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhwhssdl2 != null">
        #{daynhwhssdl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhxdssdl2 != null">
        #{daynhxdssdl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhqfdl2 != null">
        #{daynhqfdl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhcfdl2 != null">
        #{daynhcfdl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhpcl2 != null">
        #{daynhpcl2,jdbcType=DECIMAL},
      </if>
      <if test="daybzgl != null">
        #{daybzgl,jdbcType=DECIMAL},
      </if>
      <if test="daybzdl != null">
        #{daybzdl,jdbcType=DECIMAL},
      </if>
      <if test="daybzgzssdl != null">
        #{daybzgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="daybzwhssdl != null">
        #{daybzwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="daybzxdssdl != null">
        #{daybzxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="daybzqfdl != null">
        #{daybzqfdl,jdbcType=DECIMAL},
      </if>
      <if test="daybzcfdl != null">
        #{daybzcfdl,jdbcType=DECIMAL},
      </if>
      <if test="daybzpcl != null">
        #{daybzpcl,jdbcType=DECIMAL},
      </if>
      <if test="dayllgl != null">
        #{dayllgl,jdbcType=DECIMAL},
      </if>
      <if test="daylldl != null">
        #{daylldl,jdbcType=DECIMAL},
      </if>
      <if test="dayllgzssdl != null">
        #{dayllgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllwhssdl != null">
        #{dayllwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllxdssdl != null">
        #{dayllxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllqfdl != null">
        #{dayllqfdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllcfdl != null">
        #{dayllcfdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllpcl != null">
        #{dayllpcl,jdbcType=DECIMAL},
      </if>
      <if test="recorddate != null">
        #{recorddate,jdbcType=TIMESTAMP},
      </if>
    </trim>
  </insert>
  <select id="countByExample" parameterType="com.gyee.frame.model.auto.Windturbineinfoday3Example" resultType="java.lang.Long">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select count(*) from windturbineinfoday3
    <if test="_parameter != null">
      <include refid="Example_Where_Clause" />
    </if>
  </select>
  <update id="updateByExampleSelective" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineinfoday3
    <set>
      <if test="record.id != null">
        id = #{record.id,jdbcType=INTEGER},
      </if>
      <if test="record.windpowerstationid != null">
        windPowerStationId = #{record.windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="record.projectid != null">
        projectId = #{record.projectid,jdbcType=VARCHAR},
      </if>
      <if test="record.lineid != null">
        lineId = #{record.lineid,jdbcType=VARCHAR},
      </if>
      <if test="record.windturbineid != null">
        windTurbineId = #{record.windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="record.daydl1 != null">
        dayDL1 = #{record.daydl1,jdbcType=DECIMAL},
      </if>
      <if test="record.daydl2 != null">
        dayDL2 = #{record.daydl2,jdbcType=DECIMAL},
      </if>
      <if test="record.daypower != null">
        dayPower = #{record.daypower,jdbcType=DECIMAL},
      </if>
      <if test="record.dayspeed != null">
        daySpeed = #{record.dayspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.daymaxpower != null">
        dayMaxPower = #{record.daymaxpower,jdbcType=DECIMAL},
      </if>
      <if test="record.dayminpower != null">
        dayMinPower = #{record.dayminpower,jdbcType=DECIMAL},
      </if>
      <if test="record.daymaxspeed != null">
        dayMaxSpeed = #{record.daymaxspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.dayminspeed != null">
        dayMinSpeed = #{record.dayminspeed,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhgl != null">
        dayNHGL = #{record.daynhgl,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhdl != null">
        dayNHDL = #{record.daynhdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhgzssdl != null">
        dayNHGZSSDL = #{record.daynhgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhwhssdl != null">
        dayNHWHSSDL = #{record.daynhwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhxdssdl != null">
        dayNHXDSSDL = #{record.daynhxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhqfdl != null">
        dayNHQFDL = #{record.daynhqfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhcfdl != null">
        dayNHCFDL = #{record.daynhcfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhpcl != null">
        dayNHPCL = #{record.daynhpcl,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhgl2 != null">
        dayNHGL2 = #{record.daynhgl2,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhdl2 != null">
        dayNHDL2 = #{record.daynhdl2,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhgzssdl2 != null">
        dayNHGZSSDL2 = #{record.daynhgzssdl2,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhwhssdl2 != null">
        dayNHWHSSDL2 = #{record.daynhwhssdl2,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhxdssdl2 != null">
        dayNHXDSSDL2 = #{record.daynhxdssdl2,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhqfdl2 != null">
        dayNHQFDL2 = #{record.daynhqfdl2,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhcfdl2 != null">
        dayNHCFDL2 = #{record.daynhcfdl2,jdbcType=DECIMAL},
      </if>
      <if test="record.daynhpcl2 != null">
        dayNHPCL2 = #{record.daynhpcl2,jdbcType=DECIMAL},
      </if>
      <if test="record.daybzgl != null">
        dayBZGL = #{record.daybzgl,jdbcType=DECIMAL},
      </if>
      <if test="record.daybzdl != null">
        dayBZDL = #{record.daybzdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daybzgzssdl != null">
        dayBZGZSSDL = #{record.daybzgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daybzwhssdl != null">
        dayBZWHSSDL = #{record.daybzwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daybzxdssdl != null">
        dayBZXDSSDL = #{record.daybzxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daybzqfdl != null">
        dayBZQFDL = #{record.daybzqfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daybzcfdl != null">
        dayBZCFDL = #{record.daybzcfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.daybzpcl != null">
        dayBZPCL = #{record.daybzpcl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayllgl != null">
        dayLLGL = #{record.dayllgl,jdbcType=DECIMAL},
      </if>
      <if test="record.daylldl != null">
        dayLLDL = #{record.daylldl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayllgzssdl != null">
        dayLLGZSSDL = #{record.dayllgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayllwhssdl != null">
        dayLLWHSSDL = #{record.dayllwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayllxdssdl != null">
        dayLLXDSSDL = #{record.dayllxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayllqfdl != null">
        dayLLQFDL = #{record.dayllqfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayllcfdl != null">
        dayLLCFDL = #{record.dayllcfdl,jdbcType=DECIMAL},
      </if>
      <if test="record.dayllpcl != null">
        dayLLPCL = #{record.dayllpcl,jdbcType=DECIMAL},
      </if>
      <if test="record.recorddate != null">
        recordDate = #{record.recorddate,jdbcType=TIMESTAMP},
      </if>
    </set>
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByExample" parameterType="map">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineinfoday3
    set id = #{record.id,jdbcType=INTEGER},
      windPowerStationId = #{record.windpowerstationid,jdbcType=VARCHAR},
      projectId = #{record.projectid,jdbcType=VARCHAR},
      lineId = #{record.lineid,jdbcType=VARCHAR},
      windTurbineId = #{record.windturbineid,jdbcType=VARCHAR},
      dayDL1 = #{record.daydl1,jdbcType=DECIMAL},
      dayDL2 = #{record.daydl2,jdbcType=DECIMAL},
      dayPower = #{record.daypower,jdbcType=DECIMAL},
      daySpeed = #{record.dayspeed,jdbcType=DECIMAL},
      dayMaxPower = #{record.daymaxpower,jdbcType=DECIMAL},
      dayMinPower = #{record.dayminpower,jdbcType=DECIMAL},
      dayMaxSpeed = #{record.daymaxspeed,jdbcType=DECIMAL},
      dayMinSpeed = #{record.dayminspeed,jdbcType=DECIMAL},
      dayNHGL = #{record.daynhgl,jdbcType=DECIMAL},
      dayNHDL = #{record.daynhdl,jdbcType=DECIMAL},
      dayNHGZSSDL = #{record.daynhgzssdl,jdbcType=DECIMAL},
      dayNHWHSSDL = #{record.daynhwhssdl,jdbcType=DECIMAL},
      dayNHXDSSDL = #{record.daynhxdssdl,jdbcType=DECIMAL},
      dayNHQFDL = #{record.daynhqfdl,jdbcType=DECIMAL},
      dayNHCFDL = #{record.daynhcfdl,jdbcType=DECIMAL},
      dayNHPCL = #{record.daynhpcl,jdbcType=DECIMAL},
      dayNHGL2 = #{record.daynhgl2,jdbcType=DECIMAL},
      dayNHDL2 = #{record.daynhdl2,jdbcType=DECIMAL},
      dayNHGZSSDL2 = #{record.daynhgzssdl2,jdbcType=DECIMAL},
      dayNHWHSSDL2 = #{record.daynhwhssdl2,jdbcType=DECIMAL},
      dayNHXDSSDL2 = #{record.daynhxdssdl2,jdbcType=DECIMAL},
      dayNHQFDL2 = #{record.daynhqfdl2,jdbcType=DECIMAL},
      dayNHCFDL2 = #{record.daynhcfdl2,jdbcType=DECIMAL},
      dayNHPCL2 = #{record.daynhpcl2,jdbcType=DECIMAL},
      dayBZGL = #{record.daybzgl,jdbcType=DECIMAL},
      dayBZDL = #{record.daybzdl,jdbcType=DECIMAL},
      dayBZGZSSDL = #{record.daybzgzssdl,jdbcType=DECIMAL},
      dayBZWHSSDL = #{record.daybzwhssdl,jdbcType=DECIMAL},
      dayBZXDSSDL = #{record.daybzxdssdl,jdbcType=DECIMAL},
      dayBZQFDL = #{record.daybzqfdl,jdbcType=DECIMAL},
      dayBZCFDL = #{record.daybzcfdl,jdbcType=DECIMAL},
      dayBZPCL = #{record.daybzpcl,jdbcType=DECIMAL},
      dayLLGL = #{record.dayllgl,jdbcType=DECIMAL},
      dayLLDL = #{record.daylldl,jdbcType=DECIMAL},
      dayLLGZSSDL = #{record.dayllgzssdl,jdbcType=DECIMAL},
      dayLLWHSSDL = #{record.dayllwhssdl,jdbcType=DECIMAL},
      dayLLXDSSDL = #{record.dayllxdssdl,jdbcType=DECIMAL},
      dayLLQFDL = #{record.dayllqfdl,jdbcType=DECIMAL},
      dayLLCFDL = #{record.dayllcfdl,jdbcType=DECIMAL},
      dayLLPCL = #{record.dayllpcl,jdbcType=DECIMAL},
      recordDate = #{record.recorddate,jdbcType=TIMESTAMP}
    <if test="_parameter != null">
      <include refid="Update_By_Example_Where_Clause" />
    </if>
  </update>
  <update id="updateByPrimaryKeySelective" parameterType="com.gyee.frame.model.auto.Windturbineinfoday3">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineinfoday3
    <set>
      <if test="windpowerstationid != null">
        windPowerStationId = #{windpowerstationid,jdbcType=VARCHAR},
      </if>
      <if test="projectid != null">
        projectId = #{projectid,jdbcType=VARCHAR},
      </if>
      <if test="lineid != null">
        lineId = #{lineid,jdbcType=VARCHAR},
      </if>
      <if test="windturbineid != null">
        windTurbineId = #{windturbineid,jdbcType=VARCHAR},
      </if>
      <if test="daydl1 != null">
        dayDL1 = #{daydl1,jdbcType=DECIMAL},
      </if>
      <if test="daydl2 != null">
        dayDL2 = #{daydl2,jdbcType=DECIMAL},
      </if>
      <if test="daypower != null">
        dayPower = #{daypower,jdbcType=DECIMAL},
      </if>
      <if test="dayspeed != null">
        daySpeed = #{dayspeed,jdbcType=DECIMAL},
      </if>
      <if test="daymaxpower != null">
        dayMaxPower = #{daymaxpower,jdbcType=DECIMAL},
      </if>
      <if test="dayminpower != null">
        dayMinPower = #{dayminpower,jdbcType=DECIMAL},
      </if>
      <if test="daymaxspeed != null">
        dayMaxSpeed = #{daymaxspeed,jdbcType=DECIMAL},
      </if>
      <if test="dayminspeed != null">
        dayMinSpeed = #{dayminspeed,jdbcType=DECIMAL},
      </if>
      <if test="daynhgl != null">
        dayNHGL = #{daynhgl,jdbcType=DECIMAL},
      </if>
      <if test="daynhdl != null">
        dayNHDL = #{daynhdl,jdbcType=DECIMAL},
      </if>
      <if test="daynhgzssdl != null">
        dayNHGZSSDL = #{daynhgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="daynhwhssdl != null">
        dayNHWHSSDL = #{daynhwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="daynhxdssdl != null">
        dayNHXDSSDL = #{daynhxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="daynhqfdl != null">
        dayNHQFDL = #{daynhqfdl,jdbcType=DECIMAL},
      </if>
      <if test="daynhcfdl != null">
        dayNHCFDL = #{daynhcfdl,jdbcType=DECIMAL},
      </if>
      <if test="daynhpcl != null">
        dayNHPCL = #{daynhpcl,jdbcType=DECIMAL},
      </if>
      <if test="daynhgl2 != null">
        dayNHGL2 = #{daynhgl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhdl2 != null">
        dayNHDL2 = #{daynhdl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhgzssdl2 != null">
        dayNHGZSSDL2 = #{daynhgzssdl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhwhssdl2 != null">
        dayNHWHSSDL2 = #{daynhwhssdl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhxdssdl2 != null">
        dayNHXDSSDL2 = #{daynhxdssdl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhqfdl2 != null">
        dayNHQFDL2 = #{daynhqfdl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhcfdl2 != null">
        dayNHCFDL2 = #{daynhcfdl2,jdbcType=DECIMAL},
      </if>
      <if test="daynhpcl2 != null">
        dayNHPCL2 = #{daynhpcl2,jdbcType=DECIMAL},
      </if>
      <if test="daybzgl != null">
        dayBZGL = #{daybzgl,jdbcType=DECIMAL},
      </if>
      <if test="daybzdl != null">
        dayBZDL = #{daybzdl,jdbcType=DECIMAL},
      </if>
      <if test="daybzgzssdl != null">
        dayBZGZSSDL = #{daybzgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="daybzwhssdl != null">
        dayBZWHSSDL = #{daybzwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="daybzxdssdl != null">
        dayBZXDSSDL = #{daybzxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="daybzqfdl != null">
        dayBZQFDL = #{daybzqfdl,jdbcType=DECIMAL},
      </if>
      <if test="daybzcfdl != null">
        dayBZCFDL = #{daybzcfdl,jdbcType=DECIMAL},
      </if>
      <if test="daybzpcl != null">
        dayBZPCL = #{daybzpcl,jdbcType=DECIMAL},
      </if>
      <if test="dayllgl != null">
        dayLLGL = #{dayllgl,jdbcType=DECIMAL},
      </if>
      <if test="daylldl != null">
        dayLLDL = #{daylldl,jdbcType=DECIMAL},
      </if>
      <if test="dayllgzssdl != null">
        dayLLGZSSDL = #{dayllgzssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllwhssdl != null">
        dayLLWHSSDL = #{dayllwhssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllxdssdl != null">
        dayLLXDSSDL = #{dayllxdssdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllqfdl != null">
        dayLLQFDL = #{dayllqfdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllcfdl != null">
        dayLLCFDL = #{dayllcfdl,jdbcType=DECIMAL},
      </if>
      <if test="dayllpcl != null">
        dayLLPCL = #{dayllpcl,jdbcType=DECIMAL},
      </if>
      <if test="recorddate != null">
        recordDate = #{recorddate,jdbcType=TIMESTAMP},
      </if>
    </set>
    where id = #{id,jdbcType=INTEGER}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.gyee.frame.model.auto.Windturbineinfoday3">
    <!--
      WARNING - @mbg.generated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update windturbineinfoday3
    set windPowerStationId = #{windpowerstationid,jdbcType=VARCHAR},
      projectId = #{projectid,jdbcType=VARCHAR},
      lineId = #{lineid,jdbcType=VARCHAR},
      windTurbineId = #{windturbineid,jdbcType=VARCHAR},
      dayDL1 = #{daydl1,jdbcType=DECIMAL},
      dayDL2 = #{daydl2,jdbcType=DECIMAL},
      dayPower = #{daypower,jdbcType=DECIMAL},
      daySpeed = #{dayspeed,jdbcType=DECIMAL},
      dayMaxPower = #{daymaxpower,jdbcType=DECIMAL},
      dayMinPower = #{dayminpower,jdbcType=DECIMAL},
      dayMaxSpeed = #{daymaxspeed,jdbcType=DECIMAL},
      dayMinSpeed = #{dayminspeed,jdbcType=DECIMAL},
      dayNHGL = #{daynhgl,jdbcType=DECIMAL},
      dayNHDL = #{daynhdl,jdbcType=DECIMAL},
      dayNHGZSSDL = #{daynhgzssdl,jdbcType=DECIMAL},
      dayNHWHSSDL = #{daynhwhssdl,jdbcType=DECIMAL},
      dayNHXDSSDL = #{daynhxdssdl,jdbcType=DECIMAL},
      dayNHQFDL = #{daynhqfdl,jdbcType=DECIMAL},
      dayNHCFDL = #{daynhcfdl,jdbcType=DECIMAL},
      dayNHPCL = #{daynhpcl,jdbcType=DECIMAL},
      dayNHGL2 = #{daynhgl2,jdbcType=DECIMAL},
      dayNHDL2 = #{daynhdl2,jdbcType=DECIMAL},
      dayNHGZSSDL2 = #{daynhgzssdl2,jdbcType=DECIMAL},
      dayNHWHSSDL2 = #{daynhwhssdl2,jdbcType=DECIMAL},
      dayNHXDSSDL2 = #{daynhxdssdl2,jdbcType=DECIMAL},
      dayNHQFDL2 = #{daynhqfdl2,jdbcType=DECIMAL},
      dayNHCFDL2 = #{daynhcfdl2,jdbcType=DECIMAL},
      dayNHPCL2 = #{daynhpcl2,jdbcType=DECIMAL},
      dayBZGL = #{daybzgl,jdbcType=DECIMAL},
      dayBZDL = #{daybzdl,jdbcType=DECIMAL},
      dayBZGZSSDL = #{daybzgzssdl,jdbcType=DECIMAL},
      dayBZWHSSDL = #{daybzwhssdl,jdbcType=DECIMAL},
      dayBZXDSSDL = #{daybzxdssdl,jdbcType=DECIMAL},
      dayBZQFDL = #{daybzqfdl,jdbcType=DECIMAL},
      dayBZCFDL = #{daybzcfdl,jdbcType=DECIMAL},
      dayBZPCL = #{daybzpcl,jdbcType=DECIMAL},
      dayLLGL = #{dayllgl,jdbcType=DECIMAL},
      dayLLDL = #{daylldl,jdbcType=DECIMAL},
      dayLLGZSSDL = #{dayllgzssdl,jdbcType=DECIMAL},
      dayLLWHSSDL = #{dayllwhssdl,jdbcType=DECIMAL},
      dayLLXDSSDL = #{dayllxdssdl,jdbcType=DECIMAL},
      dayLLQFDL = #{dayllqfdl,jdbcType=DECIMAL},
      dayLLCFDL = #{dayllcfdl,jdbcType=DECIMAL},
      dayLLPCL = #{dayllpcl,jdbcType=DECIMAL},
      recordDate = #{recorddate,jdbcType=TIMESTAMP}
    where id = #{id,jdbcType=INTEGER}
  </update>

  <select id="getWindTurbineInfoDay3"  resultType="com.gyee.frame.model.custom.SingleAnalysisVo">
    select WINDTURBINEID,sum(Daynhgzssdl)/10000   gzss,sum(Daynhwhssdl)/10000   jxss
    ,sum(Daynhxdssdl)/10000   xdss,sum(Daynhqfdl)/10000   xnss
    ,sum(Daynhcfdl)/10000   slss
    from WindTurbineInfoDay3
    where   Windpowerstationid = #{wpId} and Recorddate >= #{beginDate} and Recorddate &lt; #{endDate}
    group by WINDTURBINEID ORDER BY WINDTURBINEID
  </select>

  <select id="getWindTurbineInfoDay3ByWtId"  resultType="com.gyee.frame.model.custom.SingleAnalysisVo">
    select WINDTURBINEID,sum(Daynhgzssdl)/10000   gzss,sum(Daynhwhssdl)/10000   jxss
    ,sum(Daynhxdssdl)/10000   xdss,sum(Daynhqfdl)/10000   xnss
    ,sum(Daynhcfdl)/10000   slss
    from WindTurbineInfoDay3
    where   WINDTURBINEID = #{wtId} and Recorddate >= #{beginDate} and Recorddate &lt; #{endDate}
    group by WINDTURBINEID

  </select>
</mapper>